<?php

namespace Drupal\commerce_ajax_atc\Controller;

use Drupal\commerce_ajax_atc\Ajax\CloseCommand;
use Drupal\Core\Controller\ControllerBase;
use Drupal\Core\Ajax\CloseModalDialogCommand;
use Drupal\Core\Ajax\AjaxResponse;

class ModalController extends ControllerBase {

  public function closeModalForm() {
    $command = new CloseModalDialogCommand();
    $response = new AjaxResponse();

    $uses_colorbox_load = \Drupal::config('commerce_ajax_atc.settings')->get('pop_up_type') === 'colorbox';
    if ($uses_colorbox_load) {
      $response->addCommand(new CloseCommand());
    }
    else {
      $response->addCommand($command);
    }

    return $response;
  }

}
